/*
===============================================================================

	FILE:	vertex.cpp
	
	CONTENTS:
	
    see corresponding header file
	
	PROGRAMMERS:
	
		martin isenburg@cs.unc.edu
	
	COPYRIGHT:
	
		Copyright (C) 2000  Martin Isenburg (isenburg@cs.unc.edu)
		
		This software is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
	
	CHANGE HISTORY:
	
    see corresponding header file
	
===============================================================================
*/
#include "vertex.h"

CFvertex::CFvertex()
{
	index = -1;
	active = 1;
	marker = 0;
  v[0] = 0.0;
  v[1] = 0.0;
  v[2] = 0.0;	
}

CFvertex::CFvertex(float x, float y, float z)
{
	index = -1;
	active = 1;
	marker = 0;
  v[0] = x;
  v[1] = y;
  v[2] = z;	
}

CFvertex::CFvertex(float x, float y, float z, int i)
{
	index = i;
	active = 1;
	marker = 0;
  v[0] = x;
  v[1] = y;
  v[2] = z;	
}

CFvertex::~CFvertex()
{
}
